function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = _interopDefault(require('react'));
var material = require('@mui/material');

function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}

var Heading = function Heading(_ref) {
  var style = _ref.style,
    _ref$isOn = _ref.isOn,
    isOn = _ref$isOn === void 0 ? false : _ref$isOn;
  var htag = style.htag,
    title = style.title,
    subtitle = style.subtitle,
    description = style.description,
    align = style.align;
  if (!isOn) return "";
  var ictElementHeading = {
    textAlign: "" + align,
    p: 3
  };
  return /*#__PURE__*/React.createElement(material.Stack, {
    sx: _extends({}, ictElementHeading)
  }, /*#__PURE__*/React.createElement(material.Typography, {
    variant: htag
  }, title), /*#__PURE__*/React.createElement(material.Typography, {
    variant: "subtitle1"
  }, subtitle), /*#__PURE__*/React.createElement(material.Typography, {
    variant: "subtitle2"
  }, description));
};

exports.Heading = Heading;
//# sourceMappingURL=index.js.map
