import React from 'react';
import { Stack, Typography } from '@mui/material';

function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}

var Heading = function Heading(_ref) {
  var style = _ref.style,
    _ref$isOn = _ref.isOn,
    isOn = _ref$isOn === void 0 ? false : _ref$isOn;
  var htag = style.htag,
    title = style.title,
    subtitle = style.subtitle,
    description = style.description,
    align = style.align;
  if (!isOn) return "";
  var ictElementHeading = {
    textAlign: "" + align,
    p: 3
  };
  return /*#__PURE__*/React.createElement(Stack, {
    sx: _extends({}, ictElementHeading)
  }, /*#__PURE__*/React.createElement(Typography, {
    variant: htag
  }, title), /*#__PURE__*/React.createElement(Typography, {
    variant: "subtitle1"
  }, subtitle), /*#__PURE__*/React.createElement(Typography, {
    variant: "subtitle2"
  }, description));
};

export { Heading };
//# sourceMappingURL=index.modern.js.map
